<?php 
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.





// Create a new LicenseBoxExternalAPI helper class.
$lbapi = new LicenseBoxExternalAPI(VERSION);

// Performs background license check, pass TRUE as 1st parameter to perform periodic verifications only.
$lb_verify_res = $lbapi->verify_license();

// 确保保存的是布尔值 true/false
update_option('uncle2_cv2_license_status', (bool)$lb_verify_res['status']);

if( class_exists( 'CSF' ) ) {


    //
    // Set a unique slug-like ID
    $prefix = 'uncle2_cv2';
  
    //
    // Create options
    CSF::createOptions( $prefix, array(
      'framework_title'         => 'CV2',
      'footer_credit'=>'欢迎使用CV2',
      'show_search'=>false,
      'show_reset_all'          => true,
      'show_reset_section'      => true,
      'show_form_warning'=>false,
      'menu_title' => 'CV2',
      'menu_slug'  => 'uncle2_cv2',
      'menu_type'   => 'submenu',
    ) );

    // Create a section
    CSF::createSection( $prefix, array(
      'title'  => '插件秘钥与更新',
      'fields' => array(
        array(
          'type'     => 'callback',
          'function' => 'license_check',
        ),
      )));

     

      	//  if($lb_verify_res['status']){
          CSF::createSection( $prefix, array(
            'title'  => '样式设置',
            'fields' => array(
              array(
                'id'      => 'consent-layout',
                'type'    => 'select',
                'title'   => '同意弹窗布局',
                'placeholder' => 'Select an option',
                'options'     => array(
                  'box'  => 'box',
                  'box inline'  => 'box inline',
                  'box wide'  => 'box wide',
                  'cloud'  => 'cloud',
                  'cloud inline'  => 'cloud inline',
                  'bar'  => 'bar',
                  'bar inline'  => 'bar inline',
                ),
                'default' => 'box',
              ),
              array(
                'id'      => 'consent-position',
                'type'    => 'select',
                'title'   => '同意弹窗位置',
                'placeholder' => 'Select an option',
                'options'     => array(
                  'top'  => 'top',
                  'bottom'  => 'bottom',
                  
                ),
                'default' => 'bottom',
              ),
              array(
                'id'      => 'preferences-layout',
                'type'    => 'select',
                'title'   => '偏好设置弹窗布局',
                'placeholder' => 'Select an option',
                'options'     => array(
                  'box'  => 'box',
                  'bar'  => 'bar',
                  'bar wide'  => 'bar wide',
                  
                ),
                'default' => 'box',
              ),
              array(
                'id'      => 'preferences-position',
                'type'    => 'select',
                'title'   => '偏好设置弹窗位置',
                'placeholder' => 'Select an option',
                'options'     => array(
                  'left'  => 'left',
                  'right'  => 'right',
                ),
                'default' => 'left',
                'dependency' => array( 'preferences-layout', '!=', 'box', '', 'visible' ),
              ),
              array(
                'id'      => 'floating-button-color',
                'type'    => 'color',
                'title'   => '悬浮按钮颜色',
                'default' => '#000000',  // 默认黑色
              ),
            )));
     

     
        
 
   
    
    // }

    CSF::createSection( $prefix, array(
      'title'  => '更多资源',
      'fields' => array(
  
       
          array(
            'id'      => 'more-resources',
            'type'    => 'content',
            'title'   => '更多资源',
            'content' => ' <iframe src="https://2uncle.com/tools/" frameborder=“0” scrolling="yes"   height="900px" ></iframe>'
          ),
          
          
      )
    ) );

      
   
    
  
  
    
  
  }

 

  function license_check(){
    global $lbapi;
    global $lb_verify_res;
    $lb_activate_res = null;
    $lb_deactivate_res = null;
    if(!empty($_POST['client_name'])&&!empty($_POST['license_code'])){
      check_admin_referer('lb_update_license', 'lb_update_license_sec');
      $lb_activate_res = $lbapi->activate_license(
        strip_tags(trim($_POST['license_code'])), 
        strip_tags(trim($_POST['client_name']))
      );
      $lb_verify_res = $lbapi->verify_license();
    }
    if(!empty($_POST['lb_deactivate'])){
      check_admin_referer('lb_deactivate_license', 'lb_deactivate_license_sec');
      $lb_deactivate_res = $lbapi->deactivate_license();
      $lb_verify_res = $lbapi->verify_license();
    }

    

    $lb_update_data = $lbapi->check_update(); ?>
  
    <div class="wrap">
      <h1>插件秘钥与更新</h1>
      <?php if($lb_verify_res['status']){ ?> 
        <div class="notice notice-info">
          <p>恭喜您，成功激活秘钥！</p>
        </div> 
      <?php }else{ ?> 
        <div class="notice notice-error">
          <p><?php echo (!empty($lb_activate_res['message']))?$lb_activate_res['message']:'未输入秘钥或秘钥无效' ?></p>
        </div> 
      <?php }?>
      <form action="" method="post">
        <?php wp_nonce_field('lb_update_license', 'lb_update_license_sec'); ?>
        <table>   
          <tr>
            <th>您的专属秘钥</th>
            <td>
              <input type="text" name="license_code" size="50" placeholder="<?php 
              if($lb_verify_res['status']){
                echo '您的秘钥已激活无需再次输入，除非您想替换秘钥';
              }else{
                echo '请在此输入秘钥';
              } ?>" required>
            </td>
          </tr>
          <tr>
            <th>您的名字</th>
            <td>
              <input type="text" name="client_name" size="50" placeholder="<?php 
              if($lb_verify_res['status']){
                echo '您的秘钥已激活无需再次输入，除非您想替换秘钥';
              }else{
                echo '请在此输入名字';
              } ?>" required>
            </td>
          </tr>    
          <tr>
            <td>
              <div style="padding-top: 10px;">
                <input type="submit" value="Activate" class="button button-primary">
              </div>
            </td>
          </tr>
        </table>
      </form>
      <?php if($lb_verify_res['status']){ ?>
        <h2 class="title" style="padding-top:10px;">关闭秘钥</h2>
        <p style="max-width: 450px;">
        如果您希望使用此秘钥在其他服务器上激活插件，您可以首先通过在下面停用此服务器来释放您的秘钥。
        </p>
        <?php if(empty($lb_deactivate_res)){ ?>
          <form action="" method="post">
            <?php wp_nonce_field('lb_deactivate_license', 'lb_deactivate_license_sec'); ?>
            <input type="hidden" name="lb_deactivate" value="yes">
            <input type="submit" value="Deactivate" class="button">
          </form>
        <?php } ?>
      <?php } ?>
      <?php if($lb_verify_res['status']){ ?>
        <h2 class="title" style="padding-top:10px;">更新插件</h2>
        <p>
          <strong><?php echo esc_html($lb_update_data['message']); ?></strong>
        </p>
        <?php if($lb_update_data['status']){ ?>
          <p style="max-width: 700px;">更新记录: 
            <?php echo strip_tags($lb_update_data['changelog'], '<ol><ul><li><i><b><strong><p><br><a><blockquote>'); ?>
          </p>
          <?php if(!empty($_POST['update_id'])){
            check_admin_referer('lb_update_download', 'lb_update_download_sec');
            $lbapi->download_update(
              strip_tags(trim($_POST['update_id'])), 
              strip_tags(trim($_POST['has_sql'])), 
              strip_tags(trim($_POST['version']))
            );
            if (false !== get_transient('licensebox_next_update_check')) {
              delete_transient('licensebox_next_update_check');
            }
          ?>
          <?php }else{ ?>
            <form action="" method="POST">
              <?php wp_nonce_field('lb_update_download', 'lb_update_download_sec'); ?>
              <input type="hidden" value="<?php echo esc_attr($lb_update_data['update_id']); ?>" name="update_id">
              <input type="hidden" value="<?php echo esc_attr($lb_update_data['has_sql']); ?>" name="has_sql">
              <input type="hidden" value="<?php echo esc_attr($lb_update_data['version']); ?>" name="version">
              <div style="padding-top: 10px;">
                <input type="submit" value="下载并更新" class="button button-secondary">
              </div>
            </form>
          <?php } ?>
        <?php } ?>
      <?php } ?>
    </div>
  <?php 
  
}

