<?php 
if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.



add_action('wp_print_scripts', 'cv2uncle_add_head_content', 1);
add_action('wp_footer', 'cv2uncle_add_footer_content');
           
 


function cv2uncle_add_head_content() {
    $plugin_url = plugin_dir_url(dirname(__FILE__));
    $cv2_options = get_option('uncle2_cv2');
$button_color = isset($cv2_options['floating-button-color']) ? $cv2_options['floating-button-color'] : '#000000';
    ?>
    <link rel="stylesheet" href="<?php echo esc_url($plugin_url . 'assets/cookieconsent.css'); ?>" />
    <style>
        #floatingButton {
            position: fixed;
            bottom: 20px;
            left: 20px;
            width: 40px;
            height: 40px;
            background-color: <?php echo esc_attr($button_color); ?>;
            border: none;
            border-radius: 50%;
            cursor: pointer;
            display: none;
            padding: 0;
            overflow: hidden;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
            transition: transform 0.2s ease;
        }
        
        #floatingButton:hover {
            transform: scale(1.05);
        }

        #floatingButton img {
            width: 100%;
            height: 100%;
            object-fit: contain;
            padding: 8px;  /* 给图标留出内边距 */
        }
    </style>
    <script>
        // Define dataLayer and the gtag function.
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('set', 'url_passthrough', true);
      
        // Set default consent to 'denied' as a placeholder
        // Determine actual values based on your own requirements
        gtag('consent', 'default', {
            'ad_storage': 'granted',
            'ad_user_data': 'granted',
            'ad_personalization': 'granted',
            'analytics_storage': 'granted'
        });
    </script>
    <?php
}

function cv2uncle_add_footer_content() {

    
     
    $license_status = get_option('uncle2_cv2_license_status');
    $powered_by = $license_status ? '' : 'Powered by <a href=https://2uncle.com> &nbsp;2uncle</a>';
  
   
    $plugin_url = plugin_dir_url(dirname(__FILE__));
    $cv2_options = get_option('uncle2_cv2');
    $consent_layout = isset($cv2_options['consent-layout']) ? $cv2_options['consent-layout'] : 'box';
    $consent_position = isset($cv2_options['consent-position']) ? $cv2_options['consent-position'] : 'bottom';
    $preferences_layout = isset($cv2_options['preferences-layout']) ? $cv2_options['preferences-layout'] : 'box';
    $preferences_position = isset($cv2_options['preferences-position']) ? $cv2_options['preferences-position'] : 'right';
    ?>
     
    <button id="floatingButton" data-cc="show-preferencesModal">
        <img src="<?php echo esc_url($plugin_url . 'assets/ck.svg'); ?>" alt="Cookie Settings">
    </button>
    <script  src="<?php echo esc_url($plugin_url . 'assets/cookieconsent.umd.js'); ?>"></script>
    <script>
        
    // Enable dark mode
document.documentElement.classList.add('cc--darkmode');

const categoryMapping = {
    'marketing': ['ad_storage', 'ad_user_data', 'ad_personalization'],
    'analytics': ['analytics_storage']
};

function updateGtagConsent(preferences) {
    const consentUpdate = {};
    
    for (const [category, services] of Object.entries(categoryMapping)) {
        const consentState = preferences.acceptedCategories.includes(category) ? 'granted' : 'denied';
        services.forEach(service => consentUpdate[service] = consentState);
    }
    
    gtag('consent', 'update', consentUpdate);
}

 

CookieConsent.run({
    guiOptions: {
        consentModal: {
            layout: "<?php echo $consent_layout; ?>",
            position: "<?php echo $consent_position; ?>",
            equalWeightButtons: true,
            flipButtons: true
        },
        preferencesModal: {
            layout: "<?php echo $preferences_layout; ?>",
            position: "<?php echo $preferences_position; ?>",
            equalWeightButtons: true,
            flipButtons: false
        }
    },
    categories: {
        necessary: {
            readOnly: true
        },
        functionality: {},
        analytics: {},
        marketing: {}
    },
    language: {
        default: "en",
        autoDetect: "browser",
        translations: {
            en: {
                consentModal: {
                    title: "We value your privacy!",
                    description: 'We use cookies to enhance your browsing experience, serve personalized ads or content, and analyze our traffic. By clicking "Accept All", you consent to our use of cookies.',
                    acceptAllBtn: "Accept all",
                    acceptNecessaryBtn: "Reject all",
                    showPreferencesBtn: "Manage preferences",
                    footer: "<?php echo $powered_by; ?>"
                },
                preferencesModal: {
                    title: "Consent Preferences Center",
                    acceptAllBtn: "Accept all",
                    acceptNecessaryBtn: "Reject all",
                    savePreferencesBtn: "Save preferences",
                    closeIconLabel: "Close modal",
                    serviceCounterLabel: "Service|Services",
                    sections: [
                        {
                            title: "Cookie Usage",
                            description: 'We use cookies to help you navigate efficiently and perform certain functions. You will find detailed information about all cookies under each consent category below.<br><br>The cookies that are categorized as "Necessary" are stored on your browser as they are essential for enabling the basic functionalities of the site.<br><br><div><?php echo $powered_by; ?></div>'
                        },
                        {
                            title: "Strictly Necessary Cookies <span class=\"pm__badge\">Always Enabled</span>",
                            description: "Necessary cookies are required to enable the basic features of this site, such as providing secure log-in or adjusting your consent preferences. These cookies do not store any personally identifiable data.",
                            linkedCategory: "necessary"
                        },
                        {
                            title: "Functionality Cookies",
                            description: "Functional cookies help perform certain functionalities like sharing the content of the website on social media platforms, collecting feedback, and other third-party features.",
                            linkedCategory: "functionality"
                        },
                        {
                            title: "Analytics Cookies",
                            description: "Analytical cookies are used to understand how visitors interact with the website. These cookies help provide information on metrics such as the number of visitors, bounce rate, traffic source, etc.",
                            linkedCategory: "analytics"
                        },
                        {
                            title: "Advertisement Cookies",
                            description: "Advertisement cookies are used to provide visitors with customized advertisements based on the pages you visited previously and to analyze the effectiveness of the ad campaigns.",
                            linkedCategory: "marketing"
                        },
                        {
                            title: "More information",
                            description: "For any query in relation to my policy on cookies and your choices, please contact us</a>."
                        }
                    ]
                }
            }
        }
    },
    onModalShow: ({ modalName }) => {
        
    },
    onFirstConsent: ({ cookie }) => {
        
       
      
    },

    onConsent: ({ cookie }) => {
        // console.log('onConsent fired!', cookie)
       
        // console.log( cookie.consentId);
        let preferences = CookieConsent.getUserPreferences();
        console.log(preferences);
         if( cookie.consentId.length > 0){
             document.getElementById('floatingButton').style.display = 'block';
         }
         updateGtagConsent(preferences);
    },
    onChange: ({changedCategories, changedServices}) => {
        //console.log('onChange fired!', changedCategories, changedServices);
        let preferences = CookieConsent.getUserPreferences();
   
       
        updateGtagConsent(preferences);
    },
    onModalHide: ({ modalName }) => {
        
        document.getElementById('floatingButton').style.display = 'block';

    }
});

document.getElementById('floatingButton').addEventListener('click', () => {
    document.getElementById('floatingButton').style.display = 'none';
});
</script>
    <?php
}            





